import Tool from "./tool";
import { saveGraphJson } from "../../../datasets/datasets";
import { state, graph } from "../editor";
import { SPACE } from "../../../config";

export default class SaveTool extends Tool {
    constructor(key) {
        super("Save", "save", key);
    }

    onToolActivate() {
        saveGraphJson(SPACE, graph.getCleanData());    // space_id defined globaly through knowledge-space.php
        graph.saveChanges();
        state.setTool(state.previousTool);
    }
}
